; MK7A20P.INC
;	This file contains the definition of registers for
;		MK7A20P microcontroller.

;==========Define Special Register(Define SFR) ==========

INDF		EQU	00H
TMR0     	EQU	01H
PC		EQU	02H
STATUS  	EQU	03H
FSR     	EQU	04H

PORTA	  	EQU	05H	;I/O Control Register
PORTB		EQU	06H
PORTC		EQU	07H

;==========Define [STATUS Register] Special Bit===========

C		EQU	0
DC		EQU	1
Z		EQU	2
PD		EQU	3
TO		EQU	4
SA0		EQU	5
SA1		EQU	6

;========Define [PORTA Register] Special Bit=========

PA0		EQU	0
PA1		EQU	1
PA2		EQU	2
PA3		EQU	3

;========Define [PORTB Register] Special Bit=========

PB0		EQU	0
PB1		EQU	1
PB2		EQU	2
PB3		EQU	3
PB4		EQU	4
PB5		EQU	5
PB6		EQU	6
PB7		EQU	7

;==========Define [PORTC Register] Special Bit===========

PC0		EQU	0
PC1		EQU	1
PC2		EQU	2
PC3		EQU	3
PC4		EQU	4
PC5		EQU	5
PC6		EQU	6
PC7		EQU	7
